package de.uka.algo.generator.standalone.graph;

/**
 * A generic exception for all errors related to the
 * special structure of a graph (e.g. complete graphs, edgeless graphs etc.)
 * 
 * @author <christian.staudt at ira.uka.de>
 *
 */
public class DataStructureException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	
	public DataStructureException(String message) {
		super(message);
	}
	


}
