package de.uka.algo.generator.standalone.graph;

import de.uka.algo.generator.util.Pair;

public class Node {

	public int id;
	public Pair<Integer> data;
	
	public Node(int nid, InternalNode in) {
		this.id = nid;
		this.data = in.data;
	}
	
	
	
	public boolean equals(Object v) {
		if (v instanceof Node) {
			Node vn = (Node) v;
			if (this.id == vn.id) {
				return true;
			} else return false;
		} else return false;

	}
	
	public String toString() {
		return "(" + this.id + ":" + this.data + ")";
	}
	
	
	public int hashCode() {
		return this.id;
	}
}
