package de.uka.algo.generator.standalone.graph.clusterevents;

import de.uka.algo.generator.standalone.graph.Cluster;
import de.uka.algo.generator.util.Pair;

public class ClusterMergeEvent extends ClusterEvent {

	public Pair<Cluster> cd;
	public Cluster e;
	public double p_in;
	

	
	public ClusterMergeEvent(Pair<Cluster> pair, Cluster result, double p_in) {
		super();
		this.cd = pair;
		this.e = result;
		this.p_in = p_in;
	}



	@Override
	public EventType getType() {
		return ClusterEvent.EventType.MERGE;
	}

	public String toString() {
		return this.cd + " -> " + this.e;
	}

}
