package de.uka.algo.generator.standalone.graph.clusterevents;

import de.uka.algo.generator.util.Pair;
import de.uka.algo.generator.standalone.graph.Cluster;

public class ClusterSplitEvent extends ClusterEvent {

	
    public Cluster c; 
    public Pair<Cluster> de;
    public Pair<Double> newPIns;
    
    
    
	
	public ClusterSplitEvent(Cluster c, Pair<Cluster> result,
			Pair<Double> newPIns) {
		super();
		this.c = c;
		this.de = result;
		this.newPIns = newPIns;
	}




	@Override
	public EventType getType() {
		return ClusterEvent.EventType.SPLIT;
	}

	public String toString() {
		return this.c + " -> " + this.de;
	}
	
	
}
