package de.uka.algo.clustering.io;

import y.base.NodeCursor;
import de.uka.algo.clustering.Cluster;
import de.uka.algo.clustering.ClusteringOperationException;
import de.uka.algo.util.GYCursor;


public class ClusteringIOException extends ClusteringOperationException {

	private static final long serialVersionUID = 1L;

	static final String OP_WRITE = "writing clustering to file";
	static final String ER_POOL_NOT_EMPTY = "clustering has free nodes";

	ClusteringIOException(String operation, String error, NodeCursor involvedNodes, GYCursor<Cluster> involvedClusters) {
		super(operation, error,  involvedNodes, involvedClusters);
	}
}
