package de.uka.algo.clustering.operators;

import de.uka.algo.clustering.Cluster;
import de.uka.algo.clustering.Clustering;
import de.uka.algo.util.GYCursor;

public class Coarse extends Operator {

	@Override
	public void run(Clustering operand, Clustering operator) {
		for (GYCursor<Cluster> cc = operator.clusters();cc.ok(); cc.next()) {
			Cluster c = cc.active();
			operand.merge(c.members());
		}
	}
}
