package de.uka.algo.clustering.operators.modules;

import de.uka.algo.clustering.Clustering;
import de.uka.algo.clustering.operators.Coarse;
import de.uka.algo.clustering.visualization.VisualizingModule;

public class CoarseModule extends VisualizingModule {

	public CoarseModule() {
		super("Common Coarsening", "Bastian Katz", "", 2, WEIGHTS_USE, GROUPS_KEEP, false);
	}

	@Override
	protected Clustering coreRun() {
		Clustering operand = getChosenClustering(0);
		Clustering operator = getChosenClustering(1);
		new Coarse().run(operand, operator);
		return operand;
	}
}
