package de.uka.algo.clustering.visualization;

import de.uka.algo.clustering.Clustering;


public abstract class VisualizingModule extends MultiVisualizingModule {

	public VisualizingModule(String arg0, String arg1, String arg2,
			int inputCount, int handleWeights, boolean keepGroups, boolean allowEmptyInput) {
		super(arg0, arg1, arg2, inputCount, 1, handleWeights, keepGroups, allowEmptyInput);
	}

	public VisualizingModule(String arg0, String arg1, String arg2,
			int inputCount, int handleWeights, boolean keepGroups, int nonEmptyInputs) {
		super(arg0, arg1, arg2, inputCount, 1, handleWeights, keepGroups, nonEmptyInputs);
	}

	
	protected abstract Clustering coreRun();
	
	protected void setDefaultVisualization(String id) {
		setDefaultVisualization(0, id);
	}
	
	protected final Clustering[] coreRunMulti() {
		Clustering[] result = new Clustering[1];
		result[0] = coreRun();
		return result;
	}

}
