import os


classpaths = [
"../dynamicClustering/src/",
"./libs/lpsolve55j.jar",
"../base/",
"../extension/",
"../DynamicGraphGenerator/src/",
"../utils/",
"/sw/linux/cplex111/cplex111/lib/cplex.jar"
]

# add all javalibs
javalibs = [("../Javalibs/" + entry) for entry in os.listdir("../Javalibs/") if (".jar" in entry)]

cpstring = ":".join(classpaths) + ":" + ":".join(javalibs)

source = "src/de/uka/algo/dynclustering/test/FrontendTest.java"
bin = "de.uka.algo.dynclustering.test.FrontendTest"

# set license file

print
print "*********setting license file**********"
print
print "NOTE: you must be using bash"
print 

os.environ["ILOG_LICENSE_FILE"] = "/usr/ilog/ilm/access.ilm"
os.system("echo $ILOG_LICENSE_FILE")

# alternative: /sw/linux/cplex112/LICENSE/access.ilm

# clean

print
print "*********clean**********"
print
for (path, dirs, files) in os.walk("src/de/uka/algo/dynclustering/"):
	for file in files:
		if ".class" in file:
			os.remove(os.path.join(path, file))

#compile

comp = " ".join(["javac -cp", cpstring, source])
print
print "*********compile**********"
print
print comp
os.system(comp)

# execute

exe = " ".join(["java -ea -Djava.library.path=/sw/linux/cplex111/cplex111/bin/x86-64_debian4.0_4.1/ -cp", cpstring, bin])
print
print
print "*********execute**********"
print
print
print exe
print
print
os.system(exe)