package de.uka.algo.dynclustering.test;

import de.uka.algo.dynclustering.util.unionfind.StackUnionFindBacktrack;
import de.uka.algo.dynclustering.util.unionfind.UnionFindBacktrack;

public class UnionFindBacktrackTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		UnionFindBacktrack<String> ufb = new UnionFindBacktrack<String>(new StackUnionFindBacktrack<String>());
		
		for (int i = 1; i < 10; i++) {
			ufb.add("x"+i);
		}
		
		for (int i = 1; i < 5; i++) {
			if (i > 1) {
				ufb.union("x"+i, "x" + (i-1));
			}
		}
		
		System.out.println(ufb.getRepresentatives());
		ufb.backtrackCompletely("x" + 1);
		System.out.println(ufb.getRepresentatives());

		
		
		
	}

}
