package de.uka.algo.dynclustering.update;

import java.util.HashSet;
import java.util.Set;

import de.uka.algo.dynclustering.update.UpdateStrategy;
import y.base.Node;



public abstract class SubsetStrategy extends UpdateStrategy {
	
	protected Set<Node> nodes;
	
	public SubsetStrategy() {
		this.nodes = new HashSet<Node>();
	}
	

	/**
	 * Return a list of all marked nodes.
	 * @return
	 */
	public Set<Node> getMarkedNodes() {
		
		return this.nodes;
	}
	
	public void resetNodes() {
		this.nodes.clear();
	}
}
