package de.uka.algo.dynclustering.util;

import java.util.Collection;

/**
 * Missing string methods.
 * @author Christian Staudt
 *
 */
public class StringUtils {

	/**
	 * Concatenate 
	 * @param strings		a collection of strings
	 * separated by
	 * @param sep			a separator
	 * @return	concatenation
	 */
	public static String join(Collection<String> strings, String sep) {
		String result = "";
		for (String s : strings) {
			if (result.equals("")) {
				result = result.concat(s);
			} else {
				result = result.concat(sep + s);
			}
		}
		return result;
	}
	
	public static String join(String[] strings, String sep) {
		String result = "";
		for (String s : strings) {
			if (result.equals("")) {
				result = result.concat(s);
			} else {
				result = result.concat(sep + s);
			}
		}
		return result;
	}
	
	/**
	 * Concatenate using a string separator.
	 * @param a
	 * @param b
	 * @param sep
	 * @return
	 */
	public static String concat(String a, String b, String sep) {
		return a + sep + b;
	}
 	
}
