package de.uka.algo.clustering.algorithms;

import y.base.Graph;
import y.base.NodeCursor;
import de.uka.algo.graphs.GraphInterpretation;
import de.uka.algo.graphs.cut.GraphCutter;

public class GraphCutAlgorithm extends Cutter {

	private GraphCutter graphCutter;

	public GraphCutAlgorithm(GraphCutter gc){
		this.graphCutter = gc;
	}
	
	@Override
	protected NodeCursor getCut(Graph graph, GraphInterpretation interpretation) {
		return graphCutter.getCut(graph, interpretation).getInnerNodes();
	}

}
