/*
 * Created on Nov 3, 2005
 *
 * Copyright 2005.  --- All rights reserved. 
 * Algorithmic Group, Karlsruhe, Germany.
*/
package de.uka.algo.clustering.algorithms.newman.internal;

import de.uka.algo.clustering.Cluster;
import de.uka.algo.clustering.Clustering;
import de.uka.algo.clustering.algorithms.newman.util.MaximumPair;

public interface MeasurementAdapter {
	public void initialize(Clustering aClustering);
	
	// public Pair<Cluster, Cluster> getMaximumClusters();
	// public double getMaximum();
	public void getMaximumPair(MaximumPair maxPair);
	
	public void mergeClusters(Cluster c1, Cluster c2);
	/* TODO: ersetzen durch mergeBestClusters. */
	
	public boolean hasPeak();
	
	public double getMeasure();
	
}
