package de.uka.algo.clustering.algorithms.newman.internal;

import de.uka.algo.clustering.Clustering;
import de.uka.algo.graphs.GraphInterpretation;

/**
 * Simple UpdateStrategy that just resets the given clustering to the
 * singleton clustering.
 * 
 * @author maillard
 *
 */
public class ResetUpdateStrategy extends UpdateStrategy {

	@Override
	public void prepareClustering(Clustering cl, GraphInterpretation oldGraph) {
		cl.resetSingletons();
	}
}
