package de.uka.algo.clustering.index;

import de.uka.algo.clustering.Clustering;

public class Modularity extends Significance {
	public static String ID = "Modularity";
	
	Modularity(Clustering cl) {
		super(cl,  Indizes.coverage, Operations.sub);
	}
	
	public static class Factory implements IndexFactory {
		public Index getIndex(Clustering clustering) {			
			return new Modularity(clustering);
		}
		
		@Override
		public String toString() {
			return ID;
		}
	}

	@Override
	public String toString() {
		return ID;
	}
}
