package de.uka.algo.clustering.layout;

import y.layout.circular.CircularLayouter;
import y.view.Graph2D;
import de.uka.algo.clustering.Clustering;
import de.uka.algo.clustering.layouts.Layouter;

public class Circle extends Layouter {

	@Override
	public void doLayout(Clustering clustering) {
		Graph2D graph = (Graph2D) clustering.getGraph();
		graph.addDataProvider(CircularLayouter.CIRCULAR_CUSTOM_GROUPS_DPKEY, clustering);//new MyDataProvider(clustering));
		
		CircularLayouter cl = new CircularLayouter();
		
		cl.setLayoutStyle(CircularLayouter.CIRCULAR_CUSTOM_GROUPS);
		cl.setPartitionLayoutStyle(CircularLayouter.PARTITION_LAYOUTSTYLE_DISK);
		cl.doLayout(graph);
	}
	
	public String toString() {
		return "Circular";
	}
}
