package de.uka.algo.clustering.visualization;

import de.uka.algo.clustering.Clustering;

public class ChangeVisualization extends MultiVisualizingModule {
	
	private static final int VISCOUNT = 3;
	
	public ChangeVisualization() {
		super("Change Visualization", "Bastian Katz", "", VISCOUNT, VISCOUNT, WEIGHTS_USE, GROUPS_KEEP, true);
	}

	@Override
	protected Clustering[] coreRunMulti() {
		Clustering[] result = new Clustering[VISCOUNT];
		for (int i = 0; i<VISCOUNT; i++) {
			result[i] = getChosenClustering(i);
			if (getChosenVisualizations()[i]==new NoVisualization().toString()) {
				result[i] = null;
			}
		}
		return result;
	}
}
