package de.uka.algo.clustering.visualization;

import y.view.Graph2D;
import de.uka.algo.clustering.Clustering;
import de.uka.algo.graphs.GraphInterpretation;

public class LargeClusterExtractor extends Graph2DFacade implements
		Graph2DExtractor {

	public Clustering extract(Graph2D graph, boolean useWeights) {
		GraphInterpretation gi = GraphInterpretation.getInterpretation(graph, useWeights);
		Clustering result = new Clustering(graph, gi);
		result.resetLargeCluster();
		return result;
	}
	
	@Override
	public String toString() {
		return "Large Cluster";
	}
}
