package de.uka.algo.generator.standalone.graph.clusterevents;


/**
 * Abstract class representing a split/merge event
 * on a clustering.
 * 
 * @see: ClusterSplitEvent, ClusterMergeEvent
 * @author Christian Staudt
 *
 */
public abstract class ClusterEvent {
    
    public long time;
    
    public enum EventType {SPLIT, MERGE};

    public abstract EventType getType();
    
}
