package de.uka.algo.generator.standalone.graph.journaling;


public class ClusteringOperation {
	
	public static enum OpType {NextStep, Merge, Split, MergeDone, SplitDone};
	
	public int arg0;
	public int arg1;
	public int arg2;
	public ClusteringOperation.OpType type;
	
	public ClusteringOperation(byte opCode) {
		this.type = ClusteringOperation.OpType.values()[(int) opCode];
	}

	
	public ClusteringOperation(byte opCode, int arg0, int arg1, int arg2) {
		this.type = ClusteringOperation.OpType.values()[(int) opCode];
		this.arg0 = arg0;
		this.arg1 = arg1;
		this.arg2 = arg2;
	}
}
