package de.uka.algo.clustering.algorithms.greedy;

import de.uka.algo.clustering.Cluster;

public abstract class Predictor {
	public abstract MergeResult getChangeOnMerge(Cluster a, Cluster b);
	
	public static class MergeResult {
		public MergeResult(Cluster a, Cluster b, double value) {
			this.a =a;
			this.b = b;
			this.value = value;
		}
		Cluster a;
		Cluster b;
		double value;
	}
}
