/*
 * Created on 06.10.2004
 * Reviewed 1.2 (November 5, 2004)
 *
 * Copyright 2004.  --- All rights resevered.
 * Algorithmic Group, Karlsruhe, Germany.
 */
package de.uka.algo.clustering.index;


/**
 * @author Bastian Katz
 */
public interface Index {

    /**
     * Returns the quality index for the weighted case
     * 
     * @return the quality index for the weighted case
     */
    public abstract double getValue();

    /**
     * Returns the quality index for the unweighted case
     * 
     * @return the quality index for the unweighted case
     */
    public abstract double getUnweightedValue();  
}