package de.uka.algo.clustering.operators.modules;

import de.uka.algo.clustering.Clustering;
import de.uka.algo.clustering.operators.Product;
import de.uka.algo.clustering.visualization.VisualizingModule;

public class ProductModule extends VisualizingModule {

	public ProductModule() {
		super("Product", "Bastian Katz", "", 4, WEIGHTS_USE, GROUPS_KEEP, 2);
	}

	@Override
	protected Clustering coreRun() {
		Clustering operand = getChosenClustering(0);
		Clustering operator = getChosenClustering(1);
		new Product().run(operand, operator);
		return operand;
	}
}
