import os


classpaths = [
"../dynamicClustering/src/",
"./libs/lpsolve55j.jar",
"../base/",
"../extension/",
"../DynamicGraphGenerator/src/",
"../utils/"
]

# add all javalibs
javalibs = [("../Javalibs/" + entry) for entry in os.listdir("../Javalibs/") if (".jar" in entry)]

cpstring = ":".join(classpaths) + ":" + ":".join(javalibs)

source = "src/de/uka/algo/dynclustering/test/FrontendTest.java"
bin = "de.uka.algo.dynclustering.test.FrontendTest"


# clean

print
print "*********clean**********"
print
for (path, dirs, files) in os.walk("src/de/uka/algo/dynclustering/"):
	for file in files:
		if ".class" in file:
			os.remove(os.path.join(path, file))

# compile

comp = " ".join(["javac -cp", cpstring, source])
print
print "*********compile**********"
print
print comp
os.system(comp)

# execute

exe = " ".join(["java -ea -cp", cpstring, bin])
print
print
print "*********execute**********"
print
print
print exe
print
print
os.system(exe)