package de.uka.algo.dynclustering.graphs;


/**
 * A DynamicGraphListener is notified of events within a DynamicGraph
 * which are not covered by GraphListener.
 * 
 * 
 * @author christian.staudt @ ira.uka.de
 *
 */
public interface DynamicGraphListener {

	/**
	 * Implementing instances are notified of a time step event.
	 */
	public void onTimeStepEvent();
		
}
