package de.uka.algo.dynclustering.test;

import java.util.ArrayList;

import de.uka.algo.clustering.Cluster;
import de.uka.algo.clustering.Clustering;
import de.uka.algo.dynclustering.graphs.DynamicGraph;
import de.uka.algo.dynclustering.input.GraphJournalFileImporter;
import de.uka.algo.dynclustering.util.YUtils;

public class YUtilsTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		DynamicGraph dynGraph = new GraphJournalFileImporter().importFile("/Users/cls/workspace/dynamicClustering/data/smallGraph.graphj");
		while (dynGraph.hasNextChange()) {
			dynGraph.nextChange();
		}
		Clustering zeta = new Clustering(dynGraph);
		zeta.pool2Singletons();
		
		ArrayList<Cluster> clusters = YUtils.gYCursor2ArrayList(zeta.clusters());
		
		for (Cluster C : clusters) {
			System.out.print(C.getIndex() + " ");
		}
		
	}

}
