package de.uka.algo.dynclustering.util;

import java.util.ArrayList;

import de.uka.algo.util.GYCursor;

import y.base.Node;
import y.base.NodeCursor;
import y.base.YCursor;


/**
 * Missing methods.
 * 
 * @author christian.staudt @ ira.uka.de
 *
 */
public class YUtils {

	
	/**
	 * Put all nodes visited by
	 * @param nodeCursor
	 * 			a node cursor
	 * into
	 * @return
	 * 		an array of nodes
	 */
	public static Node[] nodeCursor2Array(NodeCursor nodeCursor) {
		Node[] nodes = new Node[nodeCursor.size()];
		int i = 0;
		for (NodeCursor nc = nodeCursor; nc.ok(); nc.next()) {
			nodes[i] = nc.node();
			++i;
		}
		return nodes;
	}
	
	/**
	 * 
	 * @param nodeCursor
	 * @return
	 */
	public static ArrayList<Node> nodeCursor2ArrayList(NodeCursor nodeCursor) {
		ArrayList<Node> nodes = new ArrayList<Node>();
		for (NodeCursor nc = nodeCursor; nc.ok(); nc.next()) {
			nodes.add(nodeCursor.node());
		}
		return nodes;
	}
	
	
	/**
	 * 
	 * @param <T>
	 * @param gyCursor
	 * @return
	 */
	@SuppressWarnings("unchecked")
	public static <T> ArrayList<T> gYCursor2ArrayList(GYCursor<T> gyCursor) {
		ArrayList<T> elements = new ArrayList<T>();
		for (GYCursor<T> gc = gyCursor; gc.ok(); gc.next()) {
			T current = (T) gc.current();
			elements.add(current);
		}
		return elements;
	}
	
	/**
	 * 
	 * @param yCursor
	 * @return
	 */
	public static ArrayList<Object> yCursor2ArrayList(YCursor yCursor) {
		ArrayList<Object> elements = new ArrayList<Object>();
		for (YCursor yc = yCursor; yc.ok(); yc.next()) {
			elements.add(yc.current());
		}
		return elements;
	}
	
	
}
