package de.uka.algo.traversal.implementations;

import java.util.Set;

import de.uka.algo.traversal.BFSLikeBase;
import de.uka.algo.traversal.MultiSourceTraversal;

import y.base.Node;

public class MultiSourceBFS extends BFSLikeBase implements MultiSourceTraversal {

	public void from(Set<Node> S) {
		// reset and jump to all nodes of S
		this.reset();
		for (Node s : S) {
			this.jumpTo(s);
		}		
	}
	
	public String toString() {
		return "MSBFS";
	}


}
