package de.uka.algo.clustering.algorithms.newman.util;

import java.util.HashMap;
import java.util.Map;

import y.base.Node;
import de.uka.algo.clustering.Cluster;
import de.uka.algo.clustering.Clustering;

public class Converter {
	static public void UFB2Clustering(UnionFindBacktrack ufb, Clustering cl){
		cl.reset();
		Map<Integer, Cluster> map = new HashMap<Integer, Cluster>();
		for(int i=0; i<ufb.getNumElements(); i++) {
			Node node = cl.getGraph().getNodeArray()[i];
			int root = ufb.find(i);
			if(map.containsKey(root)) {
				cl.add(map.get(root), node);
			} else {
				map.put(root, cl.newCluster(node));
			}
		}
	}
}
