/*
 * Created on May 16, 2004
 */
package de.uka.algo.graphs.linalg;

import de.uka.algo.graphs.GraphInterpretation;
import de.uka.algo.graphs.SimpleGraph;
import y.base.Graph;


/**
 * @author Bastian Katz
 * //TODO doku 
 */
public class OutDegreeVector extends GraphVector {


	public OutDegreeVector(Graph aGraph, GraphInterpretation anInterpretation) {
        super(aGraph, anInterpretation);
    }

    public OutDegreeVector(Graph graph) {
		this(graph, new SimpleGraph(graph));
	}

	/* (non-Javadoc)
     * @see de.uka.algo.math.linalg.VectorAdapter#size()
     */
    @Override
	public int size() {
        return graph.nodeCount();
    }

    /* (non-Javadoc)
     * @see de.uka.algo.math.linalg.VectorAdapter#get(int)
     */
    @Override
	public double get(int index) {
        return interpretation.getOutDegree(index);
    }

}
